<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>
<body>
    
</body>
<script>
    // Làm tròn n số sau dấu ,
    function task1(paraNumber,paraN){
        let a = parseFloat(paraNumber).toFixed(paraN);
        return a;
    }

    // Lấy 1 số random bất kỳ trong khoảng 2 số cho trước
    function task2(min, max) { // min and max included 
     return Math.floor(Math.random() * (max - min + 1) + min)
    }
    // Tính số pytago từ 2 số đã cho c2 = a2 + b2 
    function task3(paraA,paraB){
        var a = Math.pow(paraA,2) +  Math.pow(paraB,2)
        return Math.sqrt(a);
    }

    // Kiểm tra số đã cho có phải số chính phương hay không c = a2
    function task4(num){
       var result = Math.sqrt(num);
       return Number.isInteger(result) 
    }

    // Lấy số lớn hơn gần nhất của số đã cho chia hết cho 5
    function task5(num){
        if(num %5 == 0){
            return num;
        }
        else{
            for(var i = num;i++;){
                if(i %5 == 0)
                {return i;}
            }
        }
    }
    // Kiểm tra đầu vào có phải số hay không
    function task6(paraN){
        if(typeof(paraN) == "number"){
            return true;
        }
        return false;
    }

    // Kiểm tra số đã cho có phải lũy thừa của 2 hay không
    function task7(num){
       var result = Math.sqrt(num);
       return Number.isInteger(result) ;
    }
    // Kiểm tra số đã cho có phải số tự nhiên hay không
    function task8(num){
        if(num < 0){return false}
        return Number.isInteger(num) ;
    }
    // hêm dấu , vào phần nghìn của mỗi số (Link tham khảo bài giải)

    function task9(x) {
    var parts = x.toString().split(".");
    parts[0] = parts[0].replace(/\B(?=(\d{3})+(?!\d))/g, ",");
    return parts.join(".");
    }

    function task9a(paraN){
        var vStr = task9(paraN);
        var vNewStrNoComma = vStr.replace(",","");
        var vNum = parseFloat(vNewStrNoComma);
        return vNum;
    }
    // Chuyển số từ hệ thập phân về hệ nhị phân
    function task10(paraN){
       
        return (Number(paraN).toString(2));
    }

    function task10a(paraStr){
        return parseInt(paraStr, 2);
    }
</script>
</html>